Package org.eclipse.birt.core.template

# Class Parser

java.lang.Object
org.eclipse.birt.core.template.Parser

All Implemented Interfaces:
  `ParserConstants`, `ParserTreeConstants`

public class Parser extends Object implements ParserTreeConstants, ParserConstants

## Field Summary

Fields
Modifier and Type
Field
Description
`Token`
`jj_nt`
Next token.
`protected JJTParserState`
`jjtree`
`Token`
`token`
Current token.
`ParserTokenManager`
`token_source`
Generated Token Manager.

### Fields inherited from interface org.eclipse.birt.core.template.ParserConstants

`A_EQ, A_NAME, ALPHA, ALPHANUM, ATTLIST, ATTRVAL, CDATA, DEFAULT, ELEMENTC, END_IMAGE, END_VALUEOF, END_VIEWTIMEVALUEOF, EOF, NUM, START_IMAGE, START_VALUEOF, START_VIEWTIMEVALUEOF, TAGC, TEXT, tokenImage`

### Fields inherited from interface org.eclipse.birt.core.template.ParserTreeConstants

`JJTATTRIBUTE, JJTEBODY_CONTENT, JJTIMAGE, jjtNodeName, JJTTEMPLATE, JJTTEXT, JJTVALUEOF, JJTVIEWTIMEVALUEOF`

## Constructor Summary

Constructors
Constructor
Description
`Parser()`
`Parser(InputStream stream)`
Constructor with InputStream.
`Parser(InputStream stream, String encoding)`
Constructor with InputStream and supplied encoding
`Parser(Reader stream)`
Constructor.
`Parser(ParserTokenManager tm)`
Constructor with generated Token Manager.

## Method Summary

Modifier and Type
Method
Description
`final void`
`Attribute()`
`final void`
`disable_tracing()`
Disable tracing.
`final void`
`Ebody_content()`
`final void`
`enable_tracing()`
Enable tracing.
`ParseException`
`generateParseException()`
Generate ParseException.
`final Token`
`getNextToken()`
Get the next Token.
`final Token`
`getToken(int index)`
Get the specific Token.
`final void`
`Image()`
`ASTTemplate`
`parse(Reader reader)`
`void`
`ReInit(InputStream stream)`
Reinitialise.
`void`
`ReInit(InputStream stream, String encoding)`
Reinitialise.
`void`
`ReInit(Reader stream)`
Reinitialise.
`void`
`ReInit(ParserTokenManager tm)`
Reinitialise.
`final void`
`Template()`
`final void`
`Text()`
`final void`
`ValueOf()`
`final void`
`ViewTimeValueOf()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### jjtree

protected JJTParserState jjtree

### token_source

public ParserTokenManager token_source
Generated Token Manager.

### token

public Token token
Current token.

### jj_nt

public Token jj_nt
Next token.

## Constructor Details

### Parser

public Parser()

### Parser

public Parser(InputStream stream)
Constructor with InputStream.

### Parser

public Parser(InputStream stream, String encoding)
Constructor with InputStream and supplied encoding

### Parser

public Parser(Reader stream)
Constructor.

### Parser

public Parser(ParserTokenManager tm)
Constructor with generated Token Manager.

## Method Details

### parse

public ASTTemplate parse(Reader reader) throws ParseException

Throws:
  `ParseException`

### Attribute

public final void Attribute() throws ParseException

Throws:
  `ParseException`

### Ebody_content

public final void Ebody_content() throws ParseException

Throws:
  `ParseException`

### Image

public final void Image() throws ParseException

Throws:
  `ParseException`

### ValueOf

public final void ValueOf() throws ParseException

Throws:
  `ParseException`

### ViewTimeValueOf

public final void ViewTimeValueOf() throws ParseException

Throws:
  `ParseException`

### Text

public final void Text() throws ParseException

Throws:
  `ParseException`

### Template

public final void Template() throws ParseException

Throws:
  `ParseException`

### ReInit

public void ReInit(InputStream stream)
Reinitialise.

### ReInit

public void ReInit(InputStream stream, String encoding)
Reinitialise.

### ReInit

public void ReInit(Reader stream)
Reinitialise.

### ReInit

public void ReInit(ParserTokenManager tm)
Reinitialise.

### getNextToken

public final Token getNextToken()
Get the next Token.

### getToken

public final Token getToken(int index)
Get the specific Token.

### generateParseException

public ParseException generateParseException()
Generate ParseException.

### enable_tracing

public final void enable_tracing()
Enable tracing.

### disable_tracing

public final void disable_tracing()
Disable tracing.